%define realname Catalyst-Plugin-Authentication
%define name	perl-%{realname}
%define	modprefix Catalyst

%define version	0.10006
%define release	%mkrel 1

Summary:	Infrastructure plugin for the Catalyst authentication framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.10
BuildRequires:	perl(Class::Inspector)
BuildRequires:	perl(Test::Exception)
Requires:	perl >= 5.8.1
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The authentication plugin provides generic user support. It is the basis for
both authentication (checking the user is who they claim to be), and
authorization (allowing the user to do what the system authorises them to do).

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

## Temporarily disabled waiting for upstream fix (sak)
%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*

%clean
rm -rf %{buildroot}





%changelog
* Thu Jul 31 2008 Olivier Thauvin <nanardon@mandriva.org> 0.10006-1mdv2009.0
+ Revision: 258136
- 0.10006

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-5mdv2009.0
+ Revision: 255551
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.09-3mdv2008.1
+ Revision: 136676
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-3mdv2008.0
+ Revision: 85980
- rebuild


* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 18:46:36 (53536)
- Added BuildRequires: perl(Test::Exception)

* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 23:49:46 (53373)
- import perl-Catalyst-Plugin-Authentication-0.09-1mdv2007.0

* Thu Aug 03 2006 Scott Karns <scottk@mandriva.org> 0.09-1mdv2007.0
- Version 0.09
- Reenabled %%check

* Wed May 03 2006 Scott Karns <scottk@mandriva.org> 0.07-3mdk
- Temporarily disabled %%check waiting for upstream fix
- Updated BuildRequires
- Updated package file ownership

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Add BuildRequires

* Mon Mar 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-1mdk
- New release 0.07

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- 0.05

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Add BuildRequires

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial MDV RPM

